javax.resource.spi

## Class RetryableUnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.UnavailableException
        - - javax.resource.spi.RetryableUnavailableException

- All Implemented Interfaces:
    Serializable, RetryableException

      public class RetryableUnavailableException
      extends UnavailableException
      implements RetryableException

  A subclass of the `UnavailableException` that indicates that the rejection of the work submission is transient. It is thrown in situations where the previously failed work submission might be able to succeed if the resource adapter retries the operation at a later point in time.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetryableUnavailableException()` Constructs a new instance with null as its detail message.
    `RetryableUnavailableException(String message)` Constructs a new instance with the specified detail message.
    `RetryableUnavailableException(String message, String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `RetryableUnavailableException(String message, Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `RetryableUnavailableException(Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryableUnavailableException

          public RetryableUnavailableException()

      Constructs a new instance with null as its detail message.

    - #### RetryableUnavailableException

          public RetryableUnavailableException(String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### RetryableUnavailableException

          public RetryableUnavailableException(Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### RetryableUnavailableException

          public RetryableUnavailableException(String message,
                                       Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### RetryableUnavailableException

          public RetryableUnavailableException(String message,
                                       String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.